#!/bin/sh

#script to tell up2date which packages not to touch/update overtop of.

CONF=/etc/sysconfig/rhn/up2date

if [ ! -e $CONF ]
then
	echo "Cannot find $CONF... up2date may break things.";
	exit 1;
fi;

/usr/bin/perl -pi -e 's/^pkgSkipList\=.*;$/pkgSkipList=kernel\*;apache\*;httpd\*;mod_\*;mysql\*;MySQL\*;da_\*;\*ftp\*;exim\*;sendmail\*;php\*;/' $CONF;
/usr/bin/perl -pi -e 's/^removeSkipList\=.*;$/removeSkipList=kernel\*;apache\*;mod_\*;mysql\*;MySQL\*;da_\*;\*ftp\*;exim\*;sendmail\*;php\*;webalizer*;/' $CONF;

exit 0;
